libunibreak (6.1-3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:17:38 +0100

libunibreak (6.1-3) unstable; urgency=medium

  * Switch the transitional pkg-config test dependency to pkgconf.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2025 08:05:34 +0200

libunibreak (6.1-2) unstable; urgency=medium

  * Upload to unstable (see #1070703).
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 07 May 2024 20:06:21 +0200

libunibreak (6.1-1) experimental; urgency=medium

  * New upstream release.
  * Update packages according to the upstream SONAME bump:
    - rename libunibreak5 to libunibreak6
    - update install files & symbols file
  * Small update of copyright.
  * Enable the unit tests, as the test files are now shipped in the sources.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Mar 2024 09:17:55 +0100

libunibreak (5.1-2) unstable; urgency=medium

  * Upload to unstable (see #1052253).

 -- Pino Toscano <pino@debian.org>  Wed, 20 Sep 2023 08:54:52 +0200

libunibreak (5.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #1003351)
  * Disable the unit tests for now, as they download files.
  * Adapt to the new upstream tarball without pre-generated API documentation:
    - add doxygen, and graphviz as indep build dependencies
    - when doing indep builds, run the 'doc' make target to generate it
    - move the .map, and .md5 files removal right after the generation
    - ensure to clean the generated "doc" subdirectory
  * Update packages according to the upstream SONAME bump:
    - rename libunibreak1 to libunibreak5
    - update install files & symbols file
  * Rewrite copyright to copyright-format v1.0, and update.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Sep 2023 13:34:27 +0200

libunibreak (1.1-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch Maintainer to Debian Qt/KDE Maintainers, with myself as Uploader;
    thanks Eugene for the maintenance in the past years!
  * Add the configuration for the CI on salsa.
  * Set Vcs-* fields.
  * Switch source to format to "3.0 (quilt)": (Closes: #1007428)
    - add debian/source/format
    - drop debian/README.source, no more needed now
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 7 to 13. (Closes: #1025251)
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Add Build-Depends-Package in symbols file.
  * Update install files, also according to the debhelper compat bump:
    - adapt to multiarch paths for the library, and the pkg-config file
    - be more precise with the names of library files, and pkg-config file;
      this way SONAME bumps are caught
    - drop debian/tmp/ prefix
    - drop unneeded destinations, since they are the same as the paths in
      debian/tmp
  * Mark libunibreak1, and libunibreak-dev as Multi-Arch: same.
    (Closes: #1025246)
  * Drop libtool .la files, so there is no need to ship them anywhere (as also
    done in 2.0-1).
  * Switch the section of libunibreak1 to "libs".
  * Upstream moved to GitHub, so:
    - set Homepage to https://github.com/adah1972/libunibreak
    - update watch file to follow the upstream tags
  * Add Rules-Requires-Root: no.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop the .map, and .md5 files from the API documentation.
  * Bump Standards-Version to 4.6.2, no changes required.
  * Drop the manual exporting of dpkg buildflags, as debhelper already handles
    them.

  [ Simon McVittie ]
  * d/tests: Add a superficial autopkgtest.
    This verifies that the -dev library and the shared library are working
    approximately as intended.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Sep 2023 12:14:37 +0200

libunibreak (1.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 15:29:20 +0100

libunibreak (1.1-2) unstable; urgency=medium

  * debian/libunibreak1-dev.install:
    - Added pkgconfig files. (Closes: #784630)
  * debian/control:
    - Bumped Standards-Version to 3.9.6, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 14 May 2015 22:43:03 +0300

libunibreak (1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Replaced 'liblinebreak' with 'libunibreak' in long descriptions.
      (Closes: #717282)
    - Updated Unicode reference URLs in long descriptions.
    - Don't depend on quilt anymore.
  * debian/copyright:
    - Simplified and updated copyright years.
  * debian/patches:
    - 010-fix-building-without-static.patch: removed, applied upstream.
  * debian/rules:
    - Quilt is not used anymore.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Thu, 24 Oct 2013 21:56:38 +0300

libunibreak (1.0-2) unstable; urgency=low

  * debian/control:
    - Added missing conflicts with liblinebreak{,2}-dev. (Closes: #710474)
  * debian/watch:
    - Adjusted to search for libunibreak, not for liblinebreak.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 07 Jul 2013 21:42:37 +0300

libunibreak (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated.
  * debian/{control,liblinebreak*}:
    - Content changes and file renames due to upstream rename.
  * debian/control:
    - Added quilt to Build-Depends.
    - Added dh-autoreconf to Build-Depends.
    - Bumped Standards-Version to 3.9.4, no changes needed.
  * debian/rules:
    - Fixed passing build prefix to ./configure.
    - Use quilt's dh plugin.
    - Use dh-autoreconf's dh plugin.
    - Rewrote using dh override targets.
    - Added dpkg-buildflags support.
  * debian/patches:
    - Added 010-fix-building-without-static.patch, cherry-picked from
      upstream.
  * debian/*.symbols:
    - Recreated for new upstream name.
  * debian/README.source:
    - Added with quilt instructions.
  * debian/NEWS:
    - Removed as obsolete.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 May 2013 19:35:02 +0300

liblinebreak2 (2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    - Updated copyright years.
    - Updated Unicode page reference.
  * debian/control:
    - Updated Unicode page reference.
    - Bumped Standards-Version to 3.9.2, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 01 Oct 2011 14:06:36 +0300

liblinebreak2 (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.1, no changes needed.
    - Updated package names: 'liblinebreak' -> 'liblinebreak2'.
    - Updated links to the Unicode documentation in the long descriptions.
    - Updated my mail address.
    - Removed 'DM-Upload-Allowed' flag, not needed anymore.
    - 'liblinebreak2-dev' conflicts with 'liblinebreak-dev'.
  * debian/changelog:
    - Changed source package name to liblinebreak2 since API is changed.
  * debian/copyright:
    - Updated copyright years.
  * debian/{liblinebreak -> liblinebreak2}-dev.install:
    - Don't install .la file.
  * debian/{liblinebreak -> liblinebreak2}-doc.install
    - Updated documentation path.
  * debian/{liblinebreak -> liblinebreak2}-doc.doc-base.reference:
    - Updated names and documentation path.
  * debian/{liblinebreak1 -> liblinebreak2}.install:
    - Updated for new upstream release.
  * debian/liblinebreak1.symbols:
    - Removed.
  * debian/liblinbreak2.symbols:
    - Created.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 08 Apr 2011 20:56:44 +0300

liblinebreak (1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bumped 'Standards-Version' to 3.8.1, no changes needed.
    - Added 'autotools-dev' to Build-Depends for newer config.sub and
      config.guess files.
  * debian/rules:
    - Copy newer config.sub and config.guess files for build stage and revert
      them back in clean target.
  * debian/liblinebreak1.install:
    - Adapted to new upstream release.
  * debian/liblinebreak1.symbols:
    - Updated.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 03 May 2009 11:00:26 +0300

liblinebreak (1.0-3) unstable; urgency=low

  * debian/watch:
    - Upstream has now placed upstream tarball, so filled it up.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Thu, 29 Jan 2009 20:36:15 +0200

liblinebreak (1.0-2) experimental; urgency=low

  * debian/liblinebreak1.symbols:
    - Added.
  * debian/control:
    - Removed duplicated 'Section' line from liblinebreak1 entry.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sat, 24 Jan 2009 10:52:16 +0200

liblinebreak (1.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Reworked, added shared library package (liblinebreak1) and documentation
      package (liblinebreak-doc).
    - Set DM-Upload-Allowed flag.
  * debian/rules:
    - Reworked according to new upstream release.
    - Removed some unneeded cruft.
  * debian/liblinebreak-doc.install:
    - Added with path for documentation.
  * debian/*.install:
    - Reworked.
  * debian/README.Debian:
    - Removed as obsolete.
  * debian/NEWS:
    - Added with notion about static library.
  * debian/liblinebreak-doc.doc-base.reference:
    - Added.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 11 Jan 2009 11:11:21 +0200

liblinebreak (0.9.6-6) unstable; urgency=low

  * debian/rules:
    - Removed empty 'clean' and 'binary-indep', lintian became more clever.
    - Fixed mistake leading to double-building the package.
    - Added support for 'noopt' in DEB_BUILD_OPTIONS.
    - Library now builds with '-D_REENTRANT' flag.
  * debian/control:
    - Bumped 'Standards-Version' to 3.8.0.
  * debian/watch:
    - Added (comments only).

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Sun, 13 Jul 2008 22:00:06 +0300

liblinebreak (0.9.6-5) unstable; urgency=low

  * New maintainer. (Closes: #483258)
  * debian/control:
    - Updated 'Maintainer' field.
    - Removed 'Vcs-Git' field.
  * debian/rules:
    - Added 'clean' and 'binary-indep' rules to satisfy lintian.

 -- Eugene V. Lyubimkin <jackyf.devel@gmail.com>  Fri, 30 May 2008 00:59:40 +0300

liblinebreak (0.9.6-4) unstable; urgency=low

  * Orphaned the package.
  * debhelper v7; rules file minimisation.

 -- Joey Hess <joeyh@debian.org>  Tue, 27 May 2008 19:28:39 -0400

liblinebreak (0.9.6-3) unstable; urgency=low

  * Build the library -fPIC so that it can be linked into libzltext.

 -- Joey Hess <joeyh@debian.org>  Tue, 08 Apr 2008 19:48:56 -0400

liblinebreak (0.9.6-2) unstable; urgency=low

  * First upload to debian.

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Mar 2008 19:21:02 -0400

liblinebreak (0.9.6-1) stable; urgency=low

  * New upstream version.

 -- Nikolay Pultsin <geometer@fbreader.org>  Wed, 19 Mar 2008 15:52:00 +0300

liblinebreak (0.9-1) stable; urgency=low

  * Initial release.

 -- Nikolay Pultsin <geometer@fbreader.org>  Sun, 9 Mar 2008 03:19:00 +0300
